#	File:		Spooling.make
#   Target:     Spooling
#   Sources:    Spooling.a Spooling.c Spooling.r
#   Created:    Friday, Jan. 29, 1993 6:42:32 PM
#
#	Makefile for Spooling -- an extension which
#	redirects spool files.
#
#	Dave Hersey
#	Apple Developer Technical Support
#
#	1/29/93 - dmh - Created.
#	4/27/93 - dmh - Updated for b1.
#	9/06/93 - dmh - Updated for b2.
#  12/18/93 - dmh - Updated for b3.
#   8/24/94 - dmh - Finalized.

# Our creator type:

kCreator = '-34'


#	Alias to the path for the GX interface files.

INTPATH = {CIncludes}


#	The assembly/C options we want to use.

AsmOptions		= -sym off -i "{INTPATH}" -case obj
CompileOptions	= -sym off -i "{INTPATH}" -d applec -mbg off -b2 -opt full -r


OBJECTS = Spooling.a.o Spooling.c.o


Spooling.a.o  Spooling.make Spooling.a
	 Asm {AsmOptions} Spooling.a
Spooling.c.o  Spooling.make Spooling.c Spooling.h
	 C {CompileOptions} Spooling.c

Spooling  Spooling.make Spooling.r {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-c {kCreator}					
			-t 'pext'						
			-rt pext=0						
			-sg SEGS						
			-m EntryPoint					
			{OBJECTS}						
			"{Libraries}"Runtime.o			
			"{Libraries}"Interface.o		
			-o Spooling;
	SetFile Spooling -a iB;
	Rez -i "{INTPATH}" -rd -o Spooling Spooling.r -append 
