#	File:		Confidential.make
#   Target:     Confidential
#   Sources:    Confidential.a Confidential.c Confidential.r
#   Created:    Monday, Feb. 1, 1993 2:34:56 PM
#
#	Makefile for a printing extension that stamps a message on each page spooled.
#	
#	Dave Hersey
#	Apple Developer Technical Support
#
#	2/01/93  - dmh - Completely rewrote for the a5 seed.
#	4/26/93  - dmh - For b1 - removed ! from filenames because
#					 they were killing BuildProgram
#	9/05/93  - dmh - Updated for b2.
#  12/18/93  - dmh - Updated for b3.
#	8/24/94	 - dmh - finalized.
#

# Our creator type:

kCreator = 'CON!'


#	Alias to the paths for the GX interface files.

GXLibs = {MPW}GXLibraries
GXCompatIntf = {MPW}GXCompatibilityInterfaces


#	The assembly/C options we want to use.  Make sure you use
#	the -b2 option or your static strings will be treated as
#	global data, and the linker will have a hissy.

AsmOptions		= -sym off -i {CIncludes} -i {GXLibs} -i {GXCompatIntf} -case obj
CompileOptions	= -sym off -i {CIncludes} -i {GXLibs} -i {GXCompatIntf} -mbg full -b2


#	Alias to the compiled files.

OBJECTS = Confidential.a.o Confidential.c.o


Confidential.a.o  Confidential.make Confidential.a
	 Asm {AsmOptions} Confidential.a
Confidential.c.o  Confidential.make Confidential.c Confidential.h
	 C {CompileOptions} -r  Confidential.c

Confidential  Confidential.make Confidential.r {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-c {kCreator}					
			-t 'pext'						
			-rt pext=0						
			-sg ConfidentialMPW				
			-m EntryPoint 					
			{OBJECTS}						
			"{Libraries}Interface.o"		
			-o Confidential;
	SetFile Confidential -a iB;
	Rez -i {CIncludes} -rd -o Confidential Confidential.r -append 
